Class Issuu
Embed Provider for Issuu the popular platform to create interactive flipbooks, social media posts, GIFs, and more from a single piece of static content.
Namespace: Umbraco.Cms.Core.Media.EmbedProviders
Assembly: Umbraco.Core.dll
Syntax
public class Issuu : OEmbedProviderBase, IEmbedProvider
Constructors
View SourceIssuu(IJsonSerializer)
Initializes a new instance of the Issuu class.
Declaration
public Issuu(IJsonSerializer jsonSerializer)
Parameters
| Type | Name | Description |
|---|---|---|
| IJsonSerializer | jsonSerializer | The JSON serializer. |
Properties
View SourceApiEndpoint
The OEmbed API Endpoint
Declaration
public override string ApiEndpoint { get; }
Property Value
| Type | Description |
|---|---|
| string |
RequestParams
A collection of querystring request parameters to append to the API URL
Declaration
public override Dictionary<string, string> RequestParams { get; }
Property Value
| Type | Description |
|---|---|
| Dictionary<string, string> |
Examples
?key=value&key2=value2
View SourceUrlSchemeRegex
A string array of Regex patterns to match against the pasted OEmbed URL
Declaration
public override string[] UrlSchemeRegex { get; }
Property Value
| Type | Description |
|---|---|
| string[] |
Methods
View SourceGetMarkupAsync(string, int?, int?, CancellationToken)
Gets the HTML markup for embedding the media content from the specified URL.
Declaration
public override Task<string?> GetMarkupAsync(string url, int? maxWidth, int? maxHeight, CancellationToken cancellationToken)
Parameters
| Type | Name | Description |
|---|---|---|
| string | url | The URL of the media to embed. |
| int? | maxWidth | The maximum width of the embedded content, or |
| int? | maxHeight | The maximum height of the embedded content, or |
| CancellationToken | cancellationToken | A cancellation token to observe while waiting for the task to complete. |
Returns
| Type | Description |
|---|---|
| Task<string> | A task that represents the asynchronous operation, containing the HTML markup or |